Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002748 [JEDI VCL] 00 JVCL Components feature always 2005-03-13 04:51 2005-08-09 06:28
Reporter mc_botha View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002748: JvgExportComponents export to Excel outputs fields set to Invisible
Description JvgExportComponents export to Excel outputs fields set to Invisible.
Either add the following code to the "TJvgExportExcel.Execute" procedure or even better, add a property that will allow the user to set whether to output invisible fields or not.
Additional Information Code changes:
1) ColNo := 1;
   After the line "while not DataSet.Eof do"
   and before the column autosize code "InsertStrings"
2) if Not DataSet.Fields[I].Visible then begin Dec(ColNo); Continue; end;

This should be added to the iterations for both the header and the data, it would be about line 410, 425, 435 and 458.
Tags No tags attached.
Attached Files zip file icon Changes.zip [^] (33,161 bytes) 2005-05-20 08:13

- Relationships
related to 0002747resolvedobones JvgExportComponents export to Excel outputs unformatted string 

-  Notes
(0007222)
obones (administrator)
2005-05-18 09:39

So if I understand you correctly, your changes should be prepeneded with

if OutputInvisibleField then

Is that correct?
(0007231)
anonymous (viewer)
2005-05-18 23:10

Yes that's correct, it would be better to give the user the option to output invisible fields or not.
(0007238)
obones (administrator)
2005-05-19 03:51

I have a hard time finding the right places where to do the changes, and you obviously know better than me where to put them.
Could you get the latest version of the pas file from CVS (up to 5 hours delay from now - 12:32 Paris time) and use the jeoOutputInvisibleColumns constant in the Options property to implement the changes?
Or at least post a modified version of the file you have, clearly indicating where to put the required changes.
Thanks.
(0007280)
mc_botha (reporter)
2005-05-20 08:16

Changes made to download on 2005/5/20.
I have uploaded the changes made to JvgExportComponents.pas and to JvResources.pas. The last file changed:

//=== JvgExportComponents.pas ================================================
{$IFDEF USEJVCL}
resourcestring
  RsEDataSetIsUnassigned = 'DataSet is unassigned';
  RsESaveToFileNamePropertyIsEmpty = 'SaveToFileName property is empty';
  RsEExcelNotAvailable = 'Excel not available';
{$ENDIF USEJVCL}

... to show when Excel is not available on user machine.
(0007710)
obones (administrator)
2005-08-09 06:28

Thanks, sorry for the delay, this is now in CVS. Use jeoOutputInvisibleColumns in Options to control the behaviour.

- Issue History
Date Modified Username Field Change
2005-03-13 04:51 mc_botha New Issue
2005-05-18 09:39 obones Note Added: 0007222
2005-05-18 09:39 obones Status new => feedback
2005-05-18 23:10 anonymous Note Added: 0007231
2005-05-19 03:49 obones Relationship added related to 0002747
2005-05-19 03:51 obones Note Added: 0007238
2005-05-20 08:13 mc_botha File Added: Changes.zip
2005-05-20 08:16 mc_botha Note Added: 0007280
2005-08-09 06:28 obones Status feedback => resolved
2005-08-09 06:28 obones Resolution open => fixed
2005-08-09 06:28 obones Assigned To => obones
2005-08-09 06:28 obones Note Added: 0007710


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker